Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 113925 - iiimf-protocol and iiimf-protocol-devel sharing files
Summary: iiimf-protocol and iiimf-protocol-devel sharing files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-20 07:55 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-06 20:43:35 UTC


Attachments (Terms of Use)

Description Jens Petersen 2004-01-20 07:55:03 UTC
Description of problem:
A number of the files in iiimf-protocol also appear in
iiimf-protocol-devel.

Version-Release number of selected component (if applicable):
11_4-4

Steps to Reproduce:
1. rpm -ql iiimf-protocol
2. rpm -ql iiimf-protocol-devel
  
Actual results:
1.
/usr/lib/im/lib/libEIMIL.a
/usr/lib/im/lib/libEIMIL.la
/usr/lib/im/lib/libEIMIL.so
/usr/lib/im/lib/libEIMIL.so.0
/usr/lib/im/lib/libEIMIL.so.0.0.0
/usr/lib/im/lib/libiiimp.a
/usr/lib/im/lib/libiiimp.la
/usr/lib/im/lib/libiiimp.so
/usr/lib/im/lib/libiiimp.so.0
/usr/lib/im/lib/libiiimp.so.0.0.3

2.
/usr/lib/im/include/EIMIL.h
/usr/lib/im/include/iiimp-character-subsets.h
/usr/lib/im/include/iiimp-data.h
/usr/lib/im/include/iiimp-keycode.h
/usr/lib/im/include/iiimp-opcode.h
/usr/lib/im/include/iiimp.h
/usr/lib/im/lib/libiiimp.a
/usr/lib/im/lib/libiiimp.la
/usr/lib/im/lib/libiiimp.so
/usr/lib/im/lib/libiiimp.so.0
/usr/lib/im/lib/libiiimp.so.0.0.3

Expected results:
1.
/usr/lib/im/lib/libEIMIL.so.0
/usr/lib/im/lib/libEIMIL.so.0.0.0
/usr/lib/im/lib/libiiimp.so.0
/usr/lib/im/lib/libiiimp.so.0.0.3

2.
/usr/lib/im/lib/libEIMIL.a
/usr/lib/im/lib/libEIMIL.la
/usr/lib/im/lib/libEIMIL.so
/usr/lib/im/include/EIMIL.h
/usr/lib/im/include/iiimp-character-subsets.h
/usr/lib/im/include/iiimp-data.h
/usr/lib/im/include/iiimp-keycode.h
/usr/lib/im/include/iiimp-opcode.h
/usr/lib/im/include/iiimp.h
/usr/lib/im/lib/libiiimp.a
/usr/lib/im/lib/libiiimp.la
/usr/lib/im/lib/libiiimp.so

Comment 1 Yu Shao 2004-02-05 16:23:44 UTC
fixed in 11.4-6.

Comment 2 Jens Petersen 2004-02-06 07:06:16 UTC
Better, but it's still not quite right yet:
please see my file lists above.  The -devel
file should contain *.a, *.la and the *.so
symlinks.

Comment 3 Yu Shao 2004-02-06 20:43:35 UTC
Thanks Jens, fixed in 11.4-8.

Comment 4 Jens Petersen 2004-02-09 05:26:07 UTC
Yes, looks good now.


Note You need to log in before you can comment on or make changes to this bug.